> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get prebilling consumption



## OpenAPI

````yaml /api-reference/services_documented/fastedge_reseller_api.yaml get /fastedge/v1/admin/prebilling_consumption
openapi: 3.1.0
info:
  title: Gcore OpenAPI – FastEdge Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-07T20:33:46.548242+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - description: Application templates
    name: Templates
    x-displayName: Templates
  - description: Client-level settings and limits
    name: FastEdge Reseller Clients
    x-displayName: Clients
  - description: >-
      Apps are descriptions of edge apps, that reference the binary and may
      contain app-specific settings, such as environment variables.
    name: FastEdge Reseller Apps
    x-displayName: Apps
  - description: Plans are sets of limits (memory amount, timeout), applied to edge apps
    name: Plans
    x-displayName: Plans
  - description: Client groups for template visibility
    name: Groups
    x-displayName: Groups
  - description: Billing and BI-related APIs
    name: Billing
    x-displayName: Billing
  - name: fastedge_reseller_other
    x-displayName: other
paths:
  /fastedge/v1/admin/prebilling_consumption:
    get:
      tags:
        - Billing
      summary: Get prebilling consumption
      operationId: listPrebillingConsumption
      parameters:
        - description: Start date in yyyy-MM-dd format
          in: query
          name: from
          required: true
          schema:
            type: string
            format: date
        - description: End date in yyyy-MM-dd format
          in: query
          name: to
          required: true
          schema:
            type: string
            format: date
        - description: Limit for pagination
          in: query
          name: limit
          required: true
          schema:
            type: integer
            format: int32
        - description: Offset for pagination
          in: query
          name: offset
          required: true
          schema:
            type: integer
            format: int32
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/prebillingConsumptionResponse'
          description: Returns prebilling consumption data for the specified parameters
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
          description: Bad request
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
          description: Service unavailable
      deprecated: true
components:
  schemas:
    prebillingConsumptionResponse:
      type: object
      properties:
        pagination:
          $ref: '#/components/schemas/prebillingConsumptionPagination'
        data:
          type: array
          items:
            $ref: '#/components/schemas/prebillingConsumptionData'
    error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Error message
    prebillingConsumptionPagination:
      type: object
      properties:
        total_pages:
          type: integer
          format: int32
        current_page:
          type: integer
          format: int32
        limit:
          type: integer
          format: int32
    prebillingConsumptionData:
      type: object
      properties:
        client_id:
          type: integer
        date:
          type: string
          format: date
        subproduct:
          type: string
        metric_value:
          type: integer
        metric_unit:
          type: string
        metric_name:
          type: string
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````